
  FUNCTION CURL_VECTOR, K, V
; =========================================================
; CURL_VECTOR computes the curl of a vector quantity V 
; by means of the reciprocal vectors K. 
; 
; Both K and V are expected to be structures with 3 entries 
; (.x .y .z) and 4 sub-entries (.c1 .c2 .c3 .c4). 
; 
; The result is a structure with entries (.x, .y, .z ). 
; 
; JoV, 4/01
; ==========================================================
  RETURN, { x:( SUMSAT(K.y,V.z) - SUMSAT(K.z,V.y) ) , $
            y:( SUMSAT(K.z,V.x) - SUMSAT(K.x,V.z) ) , $
            z:( SUMSAT(K.x,V.y) - SUMSAT(K.y,V.x) ) }
  END

