
  FUNCTION GRAD_SCALAR, K, F
; =========================================================
; GRAD_SCALAR computes the gradient of a scalar quantity F 
; by means of the reciprocal vectors K. 
; 
; K is expected to be structures with 3 entries 
; (.x .y .z) and 4 sub-entries (.c1 .c2 .c3 .c4). 
; F is expected to be structures with 4 entries 
; (.c1 .c2 .c3 .c4). 
; 
; The result is a structure with entries (.x, .y, .z). 
; 
; JoV, 4/01
; ==========================================================
  RETURN, { x:SUMSAT(K.x,F) ,    $
            y:SUMSAT(K.y,F) ,    $
            z:SUMSAT(K.z,F) }
  END

