
  FUNCTION GRAD_VECTOR, K, V
; ============================================================
; GRAD_VECTOR computes the gradient of a vector quantity V 
; by means of the reciprocal vectors K. 
; 
; Both K and V are expected to be structures with 3 entries 
; (.x .y .z) and 4 sub-entries (.c1 .c2 .c3 .c4). 
; 
; The result is a structure with 3 tags (.x .y .z) and 
; 3 sub-tags (.x .y .z). 
; 
; JoV, 4/01
; =============================================================
  RETURN, { x:{ x:SUMSAT(K.x,V.x) ,    $
                y:SUMSAT(K.x,V.y) ,    $
                z:SUMSAT(K.x,V.z) } ,  $
            y:{ x:SUMSAT(K.y,V.x) ,    $
                y:SUMSAT(K.y,V.y) ,    $
                z:SUMSAT(K.y,V.z) } ,  $
            z:{ x:SUMSAT(K.z,V.x) ,    $
                y:SUMSAT(K.z,V.y) ,    $
                z:SUMSAT(K.z,V.z) } }
  END

