
  PRO PLOTDB, x, y, scdist, scaledb=SCALEDB, mytitle=MYTITLE, $
      bscale=BSCALE, infostring=INFOSTRING
; ==============================================================
; plot module for IDL driver routine testkb. 
; JoV, April 2004. 
; ==============================================================

;... check keyword settings ...
  if not keyword_set(SCALEDB) then SCALEDB=0
  if not keyword_set(MYTITLE) then MYTITLE=''

;... prepare scaling ...
  nscdist = n_elements(scdist)               
  scalex = 1. 
  scaley = 1.
  addtt = ''
  if SCALEDB then begin 
    addtt = ', scaled'  
    scalex = 1./scdist[0]
    scaley = scdist[0]/BSCALE[0,*]
  endif

;... plot ...
  plot, scalex*x[0,*], scaley*y[0,*], $ 
        title=MYTITLE+addtt, /xlog, /ylog
  for i=1,nscdist-1 do begin
     if SCALEDB then begin 
       scalex = 1./scdist[i]
       scaley = scdist[i]/BSCALE[i,*]
     endif
     oplot, scalex*x[i,*], scaley*y[i,*], linestyle=i
  endfor

;... write INFOSTRING on lower right edge ...
  if keyword_set(INFOSTRING) then                                 $
     XYOUTS, 1,0, INFOSTRING, /normal, alignment=1, charsize=1. 

;... that's it, return ...
  END
