
  FUNCTION HHMM, AXIS, INDEX, TMOD
; =============================================================
; Provide tickmark time strings in format 'hh:mm' for given 
; time array TMOD.  
; 
; Call through keyword xtickformat='HHMM' in PRO PLOT.  
; In the call to PLOT, the first ('x') array must contain 
; the time as a floating point array containing the 
; minute of day information. 
; 
; Input variables: 
;   AXIS, INDEX : see idl reference guide, 
;                 2-8, FUNCTION YTICKS 
;   TMOD        : time array, MOD = minute of day. 
; 
; JoV, 4/01. 
; Modification history: 
;   4/03, JoV (with cdat version 0.5):  
;     * Documentation update. 
; ==============================================================
  tsec = TMOD*60.D0
  hour = long(tsec/3600.D0)
  minute = long( ( tsec - 3600.D0*hour ) / 60.D0 ) 
  sec = long( tsec - 3600.D0*hour - 60.D0*minute ) 
  if (sec ge 59L) then begin
     sec = 0L
     minute = minute + 1L
  endif
  if (minute eq 60L) then begin
     minute = 0L
     hour = hour + 1L
  endif
  RETURN, STRING(hour, minute,           $
          FORMAT="(I2.2, ':', I2.2)" )
  END

