
  PRO WRITE_OFFSETS_LOG, DATE, TBEG, TEND, OFFSETS, RPARAM, KPARAM, $
                         conv_factor=CONV_FACTOR, filename=FILENAME
; ========================================================================
; WRITE OFFSETS LOG file for usage in cdat. 
;
; Input variables: 
;   DATE, TBEG, TEND, OFFSETS, RPARAM, KPARAM: see cdat. 
;
; Keywords: 
;   CONV_FACTOR : for conversion of length scales. 
;                 CONV_FACTOR=1000. should give Mm (= 1000 km). 
;   FILENAME    : if set, then FILENAME should be a string which 
;                 contains the name of the log file. 
; 
; JoV, 6/03. 
; ========================================================================
  if not keyword_set(FILENAME) then FILENAME = 'offsets.log'
  if not keyword_set(CONV_FACTOR) then CONV_FACTOR = 1.
  if FILE_TEST( FILENAME ) then begin 
    OPENU, /GET_LUN, unit, FILENAME, /APPEND 
  endif else begin 
    OPENW, /GET_LUN, unit, FILENAME
    PRINTF, unit, 'DATE', 'TBEG', 'TEND',                       $
            'C1 [nT]', 'C2 [nT]', 'C3 [nT]', 'C4 [nT]', $
            'R/sqrt(3) [Mm]', 'sqrt(3)/K [Mm]',                 $
            format='(3x,a4,7x,a4,6x,a4,6x,a7,4x,a7,4x,a7,4x,a7,3x,a14,2x,a14)'
    PRINTF, unit, '-----------------------------------------------------'+ $
                  '-----------------------------------------------------'
  endelse
  PRINTF, unit, DATE, TBEG, TEND,                                $
                OFFSETS.c1, OFFSETS.c2, OFFSETS.c3, OFFSETS.c4,  $
                mean(RPARAM)/(sqrt(3)*CONV_FACTOR),              $
                (sqrt(3)/CONV_FACTOR)/mean(KPARAM),              $
                format='(a10,2x,a8,2x,a8,2x,f9.5,2x,f9.5,2x,'+   $
                       'f9.5,2x,f9.5,2x,f12.7,4x,f12.7)' 
  CLOSE, unit 
  END

