
  FUNCTION SATPOS, VEL, RINIT, TIME
; ================================================================
; SATPOS computes simple satellite trajectories R of CLUSTER 
; tetrahedron (straight lines). 
;
; Inputs are velocities VEL, and initial positions RINIT, 
; and time (array) TIME. 
; VEL and RINIT are expected to be structures with 3 entries 
; (.x .y .z) and 4 sub-entries (.c1 .c2 .c3 .c4). 
; 
; JoV, 4/01. 
; ================================================================

  R = replicate( RINIT , n_elements(TIME) )
  for j=0,2 do for i=0,3 do        $
     R[*].(j).(i) = RINIT.(j).(i) + VEL.(j).(i)*TIME[*]

  RETURN, R
  END

